‹ntPHPselector installation error

cPanel plugin for php selection
Locked
athensguy
Posts: 0
Joined: Sat Jun 27, 2015 2:25 pm

‹ntPHPselector installation error

Post by athensguy »

2015-06-27 09:47:52 (72.3 MB/s) - “sqlite.patch” saved [662/662]

can't find file to patch at input line 3
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|--- php-5.3.3.orig/configure 2010-07-21 05:53:06.000000000 -0500
|+++ php-5.3.3/configure 2010-10-14 09:40:17.000000000 -0500
--------------------------
File to patch:
Skip this patch? [y] y
Skipping patch.
1 out of 1 hunk ignored
ntphpselector_manage.sh: line 73: ./configure: No such file or directory
COMPILE ERROR FOR 55
Exiting Installation
/bin/cp: cannot stat `/usr/local/apache/conf/includes/pre_main_global.conf.ntphp.bak': No such file or directory
`/opt/suphp/etc/suphp.conf.ntphp.bak' -> `/opt/suphp/etc/suphp.conf'
Please open a new thread at http://nixtree.com/forum/ if you meet with any issues



Anthony
Posts: 1
Joined: Fri May 01, 2015 3:26 pm

Re: ‹ntPHPselector installation error

Post by Anthony »

That seems to be odd! Please would you open a support ticket with server details, so that we can assist you to install it on your server?



athensguy
Posts: 0
Joined: Sat Jun 27, 2015 2:25 pm

Re: ‹ntPHPselector installation error

Post by athensguy »

Why you do not provide steps here for all who are using the script? i think it would be useful for too many users



Anthony
Posts: 1
Joined: Fri May 01, 2015 3:26 pm

Re: ‹ntPHPselector installation error

Post by Anthony »

Because I am unsure what causing the error. This is not a common error with the script and this should be an isolated issue. So to know the actual reason, we should attempt an installation on the server.



jamal22066
Posts: 0
Joined: Sat Jul 25, 2015 1:22 pm

Re: ‹ntPHPselector installation error

Post by jamal22066 »

I, too, am getting a similar error on install:

Configuring extensions
checking size of long... (cached) 8
checking size of int... (cached) 4
checking for int32_t... yes
checking for uint32_t... yes
checking for sys/types.h... (cached) yes
checking for inttypes.h... (cached) yes
checking for stdint.h... (cached) yes
checking for string.h... (cached) yes
checking for stdlib.h... (cached) yes
checking for strtoll... yes
checking for atoll... yes
checking for strftime... (cached) yes
checking whether to enable LIBXML support... yes
checking libxml2 install dir... /opt/xml2/
checking for xml2-config path... /opt/xml2//bin/xml2-config
checking whether libxml build works... yes
checking for OpenSSL support... yes
checking for Kerberos support... yes
checking for krb5-config... /usr/bin/krb5-config
checking for DSA_get_default_method in -lssl... yes
checking for pkg-config... /usr/bin/pkg-config
checking for OpenSSL version... >= 0.9.6
checking for CRYPTO_free in -lcrypto... yes
checking for SSL_CTX_set_ssl_version in -lssl... yes
checking for PCRE support... yes
configure: error: Could not find pcre.h in /opt/ntphp/pcre
COMPILE ERROR FOR 52
Exiting Installation
/bin/cp: cannot stat `/usr/local/apache/conf/includes/pre_main_global.conf.ntphp.bak': No such file or directory
`/opt/suphp/etc/suphp.conf.ntphp.bak' -> `/opt/suphp/etc/suphp.conf'
Please open a new thread at http://nixtree.com/forum/ if you meet with any issues


I have a CentOS 6 server with SuPHP enabled:

root@vps [/usr/local/src]# /usr/local/cpanel/bin/rebuild_phpconf --current
Available handlers: suphp dso cgi none
DEFAULT PHP: 5
PHP4 SAPI: none
PHP5 SAPI: suphp
SUEXEC: enabled
RUID2: not installed

Here are all my apache include files:

root@vps [/usr/local/src]# ll /usr/local/apache/conf/includes/
total 20
drwxr-xr-x 2 root root 4096 Jul 25 03:38 ./
drwxr-xr-x 7 root root 4096 Jul 25 03:44 ../
-rw------- 1 root root 226 Dec 17 2014 account_suspensions.conf
-rw-r--r-- 1 root root 1668 Dec 17 2014 errordocument.conf
-rw------- 1 root root 0 Dec 17 2014 post_virtualhost_1.conf
-rw------- 1 root root 0 Dec 17 2014 post_virtualhost_2.conf
-rw------- 1 root root 0 Dec 17 2014 post_virtualhost_global.conf
-rw------- 1 root root 0 Dec 17 2014 pre_main_1.conf
-rw------- 1 root root 0 Dec 17 2014 pre_main_2.conf
-rw------- 1 root root 0 Dec 17 2014 pre_main_global.conf
-rw------- 1 root root 0 Dec 17 2014 pre_virtualhost_1.conf
-rw------- 1 root root 0 Dec 17 2014 pre_virtualhost_2.conf
-rw------- 1 root root 86 Jul 14 19:20 pre_virtualhost_global.conf

Any ideas? Thanks.



Anthony
Posts: 1
Joined: Fri May 01, 2015 3:26 pm

Re: ‹ntPHPselector installation error

Post by Anthony »

Please provide us the output of the following commands

ls -l /opt/ntphp/pcre/
ls -l /opt/ntphp/pcre/include/



jamal22066
Posts: 0
Joined: Sat Jul 25, 2015 1:22 pm

Re: ‹ntPHPselector installation error

Post by jamal22066 »

Interestingly. there is no /opt/ntphp folder:

root@vps [/opt]# ll /opt/
total 40
drwxr-xr-x 10 root root 4096 Jul 25 03:47 ./
dr-xr-xr-x 27 root root 4096 Jul 28 06:27 ../
drwxr-xr-x 6 root root 4096 Dec 17 2014 curlssl/
drwxr-xr-x 7 root root 4096 Dec 17 2014 libmcrypt/
drwxr-xr-x 7 root root 4096 Dec 17 2014 lua/
drwxr-xr-x 6 root root 4096 Dec 17 2014 pcre/
drwxr-xr-x 4 root root 4096 Dec 17 2014 php_with_imap_client/
drwxr-xr-x 4 root root 4096 Dec 17 2014 suphp/
drwxr-xr-x 5 root root 4096 Jun 30 15:58 tidy/
drwxr-xr-x 6 root root 4096 Dec 17 2014 xml2/



steve
Site Admin
Posts: 5
Joined: Tue Mar 10, 2015 12:41 am
Contact:

Re: ‹ntPHPselector installation error

Post by steve »

Hello jamal22066,

The error

COMPILE ERROR FOR 52

Is mainly because of the latest Centos Version. Centos 7 is not compatible with 5.2, so we have removed 5.2 from Centos 7 installation and updated the script. Hope you can try the installation now.


-
Steve N
Support Staff
Nixtree Solutions LLP
cPanel Server management | Managed Backup Solutions | Outsourced Web Hosting support

jamal22066
Posts: 0
Joined: Sat Jul 25, 2015 1:22 pm

Re: ‹ntPHPselector installation error

Post by jamal22066 »

Hi Steve,

The server is CentOS 6:

root@vps [~]# cat /etc/redhat-release
CentOS release 6.6 (Final)

In any case, I uninstalled the previous installation which was failing and performed the install again by wget the latest install file. This time it worked without the 'COMPILE ERROR FOR 52' error. PHP 5.2 is also available. Thank You.



Locked